Subject: [tsvwg] SCTP INIT having multiple IP addresses

From: Phaneendra S <[email-masked]>
Date: Thu, 15 Oct 2015 16:39:55 +0530

Hello,
In one of our field issues, we are seeing multiple IP addresses in SCTP
init, six addresses to be precise.

Can anyone throw light on possible error scenarios, which may have led to
this??

Thanks,
Phaneendra

---

From: Michael Tuexen <[email-masked]>
Date: Thu, 15 Oct 2015 13:36:35 +0200

> On 15 Oct 2015, at 13:09, Phaneendra S <[email-masked]> wrote:
> 
> Hello,
> In one of our field issues, we are seeing multiple IP addresses in SCTP init, six addresses to be precise.
> 
> Can anyone throw light on possible error scenarios, which may have led to this??
I would not consider it a problem when the INIT contains multiple IP-addresses.
It just means that the end-point sending the packet containing the INIT chunk
has 6 IP addresses which are being used.

Why do you consider it a problem?

Best regards
Michael

---

From: Sergey Mikhailov <[email-masked]>
Date: Thu, 15 Oct 2015 15:11:16 +0300

Phaneendra,

you may wish to see Section 3.3.2 (Note 1) of RFC 4960.

Sincerely,

Sergey.